Skip to main content

GET /api/auth/callback

auth/callback

MethodGET
Path/api/auth/callback
Feature areaAuth
TagAccounts & Keys
Authpublic (no key)
Tiercomputation (public)

Parameters

Query parameters

NameTypeRequiredDescription
codestringno
errorstringno
error_descriptionstringno
statestringno

No header parameters are published for this operation.

Request body

This operation takes no request body.

Responses

StatusMeaning
200OK
400Bad request — a parameter or body field is missing or malformed
401Missing or invalid credentials
500Server error
502Upstream error

400 body

FieldTypeRequiredDescription
okboolean — one of falseyes
errorstringnoHuman-readable message.
codestringnoStable machine-readable code, e.g. ADMIN_REQUIRED, INVALID_ZID, ZID_NOT_LINKED.

401 body

FieldTypeRequiredDescription
okboolean — one of falseyes
errorstringnoHuman-readable message.
codestringnoStable machine-readable code, e.g. ADMIN_REQUIRED, INVALID_ZID, ZID_NOT_LINKED.

500 body

FieldTypeRequiredDescription
okboolean — one of falseyes
errorstringnoHuman-readable message.
codestringnoStable machine-readable code, e.g. ADMIN_REQUIRED, INVALID_ZID, ZID_NOT_LINKED.

502 body

FieldTypeRequiredDescription
okboolean — one of falseyes
errorstringnoHuman-readable message.
codestringnoStable machine-readable code, e.g. ADMIN_REQUIRED, INVALID_ZID, ZID_NOT_LINKED.

Call it

curl -sS -X GET https://zeq.me/api/auth/callback?code=example&error=example

Generated from the live OpenAPI description (https://zeq.me/openapi.json, spec version 1.287.0) by scripts/generate-reference.mjs. Do not edit — this file is rewritten on every run.